--------------------------------------------------------------------
-- Options
--------------------------------------------------------------------
Glance = {
	["Variables"]   = {},
	["Arrays"]      = {},
	["Functions"]   = {},
	["Events"]      = {},
	["Panels"]      = {},
	["CheckBoxes"]  = {},
	["Scrollbars"]  = {},
	["Frames"]      = {},
	["Buttons"]     = {},
	["Menus"]       = {},
	["Data"]        = {}
}


---------------------------
-- saved variables
---------------------------
Glance_Options = {}
Glance_Global = {}
function Glance.Functions.loadDefaultVariables()
	-- per character
	if Glance_Options.autoRepair == nil then Glance_Options.autoRepair = true end
	if Glance_Options.moveUI == nil then Glance_Options.moveUI = true end
	if Glance_Options.sendStats == nil then Glance_Options.sendStats = true end
	if Glance_Options.timePlayed == nil then Glance_Options.timePlayed = true end
	if Glance_Options.serverTime == nil then Glance_Options.serverTime = true end
	if Glance_Options.frameScale == nil then Glance_Options.frameScale = 1 end
	if Glance_Options.buttonHeight == nil then Glance_Options.buttonHeight = 10 end
	if Glance_Options.fontHeight == nil then Glance_Options.fontHeight = 11 end
	if Glance_Options.showGold == nil then Glance_Options.showGold = true end
	if Glance_Options.showEmblems == nil then Glance_Options.showEmblems = true end
	if Glance_Options.showFriends == nil then Glance_Options.showFriends = true end
	if Glance_Options.showGuild == nil then Glance_Options.showGuild = true end
	if Glance_Options.showArmor == nil then Glance_Options.showArmor = true end
	if Glance_Options.showXP == nil then Glance_Options.showXP = true end
	if Glance_Options.showRep == nil then Glance_Options.showRep = true end
	if Glance_Options.showLag == nil then Glance_Options.showLag = true end
	if Glance_Options.showMem == nil then Glance_Options.showMem = true end
	if Glance_Options.showFPS == nil then Glance_Options.showFPS = true end
	if Glance_Options.showMounts == nil then Glance_Options.showMounts = true end
	if Glance_Options.showPets == nil then Glance_Options.showPets = true end
	if Glance_Options.showWG == nil then Glance_Options.showWG = true end
	if Glance_Options.showTB == nil then Glance_Options.showTB = true end
	if Glance_Options.showProfessions == nil then Glance_Options.showProfessions = true end
	if Glance_Options.showLocation == nil then Glance_Options.showLocation = true end
	if Glance_Options.showClock == nil then Glance_Options.showClock = true end
	if Glance_Options.Profession == nil then Glance_Options.Profession = 0 end
	if Glance_Options.mounts == nil then Glance_Options.mounts = {} end
	if Glance_Options.pets == nil then Glance_Options.pets = {} end
	if Glance_Options.xp == nil then 
		Glance_Options.xp = {
			["kills2level"] = 0,
			["quests2level"] = 0,
			["gathers2level"] = 0,
		} 
	end
	-- per account
	if Glance_Global.HordeGold == nil then Glance_Global.HordeGold = {} end
	if Glance_Global.AllianceGold == nil then Glance_Global.AllianceGold = {} end
end


---------------------------
-- variables
---------------------------
Glance.Variables = {
	["Debug"] = false,
	["TimeSinceLastUpdate"] = 0,
	["TimeSinceLastMemUpdate"] = 0,
	["Delay"] = true,
	["spacer"] = 15,
	["overflowFix"] = true,
	["counter"] = 0,
	["fnt_file"] = "Interface\\AddOns\\Glance\\font.ttf",
	["screenWidth"] = GetScreenWidth() * UIParent:GetEffectiveScale(),
	["questCompleteOpen"] = false,
	["gold"] =  0,
	["memory"] =  0,
	["timePlayed"] = false,
	["fps"] = {
		["avg"] = 0,
		["current"] = 0,
		["min"] = 0,
		["max"] = 0,
		["count"] = 0,
	},
	["gametime"] = {
		["total"] = 0,
		["level"] = 0,
		["session"] = 0,
		["initTotal"] = 0,
		["initLevel"] = 0,
		["initSession"] = 0,
	},
	["party"] = {
		["a"] = {
			["name"] = 0,
			["level"] = 0,
			["xperhour"] = 0,
			["xpercent"] = 0,
			["lag"] = 0,
			["fps"] = 0,
			["armor"] = 0,
		},
		["b"] = {
			["name"] = 0,
			["level"] = 0,
			["xperhour"] = 0,
			["xpercent"] = 0,
			["lag"] = 0,
			["fps"] = 0,
			["armor"] = 0,
		},
		["c"] = {
			["name"] = 0,
			["level"] = 0,
			["xperhour"] = 0,
			["xpercent"] = 0,
			["lag"] = 0,
			["fps"] = 0,
			["armor"] = 0,
		},
		["d"] = {
			["name"] = 0,
			["level"] = 0,
			["xperhour"] = 0,
			["xpercent"] = 0,
			["lag"] = 0,
			["fps"] = 0,
			["armor"] = 0,
		},
	},
	["xp"] = {
		["level"] = 0,
		["cap"] = 0,
		["accumulated"] = 0,
		["current"] = 0,
		["currentPCT"] = 0,
		["init"] = 0,
		["needed"] = 0,
		["neededPCT"] = 0,
		["rested"] = 0,
		["restedPCT "] = 0,
		["session"] = 0,
		["sessionPCT"] = 0,
		["xpersec"] = 0,
		["xperhour"] = 0,
		["leveltime"] = 0,
		["petlevel"] = 0,
		["petcap"] = 0,
		["petcurrent"] = 0,
		["petcurrentPCT"] = 0,
		["petneeded"] = 0,
		["petneededPCT"] = 0,
		["kills2level"] = 0,
		["quests2level"] = 0,
		["gathers2level"] = 0,
		["kills"] = {
			["avg"] = 0,
			["current"] = 0,
			["min"] = 0,
			["max"] = 0,
			["count"] = 0,
		},
		["quests"] = {
			["avg"] = 0,
			["current"] = 0,
			["min"] = 0,
			["max"] = 0,
			["count"] = 0,
		},
		["gathers"] = {
			["avg"] = 0,
			["current"] = 0,
			["min"] = 0,
			["max"] = 0,
			["count"] = 0,
		},
	},
}

---------------------------
-- arrays
---------------------------
Glance.Arrays.info = {}
Glance.Arrays.mount = {}
Glance.Arrays.pet = {}
Glance.Arrays.addons = {}

---------------------------
-- arrays: colors
---------------------------
Glance.Arrays.colors = {
	["WHT"] = { 1, 1, 1 },
	["GRN"] = { .3, 1, .3 },
	["GLD"] = { .9, .7, .2 },
	["YEL"] = { 1, 1, 0 },
	["BLU"] = { 0, .4, 1 },
	["LBL"] = { .4, .8, .94 },
	["RED"] = { 1, .5, .5 },
	["PPL"] = { .6, 0, .8 },
	["HUNTER"] = { 0.67, 0.83, 0.45 },
	["WARLOCK"] = { 0.58, 0.51, 0.79 },
	["PRIEST"] = { 1.0, 1.0, 1.0 },
	["PALADIN"] = { 0.96, 0.55, 0.73 },
	["MAGE"] = { 0.41, 0.8, 0.94 },
	["ROGUE"] = { 1.0, 0.96, 0.41 },
	["DRUID"] = { 1.0, 0.49, 0.04 },
	["SHAMAN"] = { 0.0, 0.44, 0.87 },
	["WARRIOR"] = { 0.78, 0.61, 0.43 },
	["DEATH KNIGHT"] = { 0.77, 0.12 , 0.23 },
	["Neutral"] = "|cffffff00",
	["Friendly"] = "|cff80ff00",
	["Honored"] = "|cff00ff00",
	["Revered"] = "|cff00ff80",
	["Exalted"] = "|cff02A5FD",
	["Unfriendly"] = "|cffff8000",
	["Hostile"] = "|cffff4000",
	["Hated"] = "|cffff0000"
}

---------------------------
-- arrays: rep
---------------------------
Glance.Arrays.rep = {
	["3000"] = "Neutral",
	["9000"] = "Friendly",
	["21000"] = "Honored",
	["42000"] = "Revered",
	["43000"] = "Exalted",
	["0"] = "Unfriendly",
	["-3000"] = "Hostile",
	["-6000"] = "Hated"
}

---------------------------
-- arrays: professions
---------------------------
Glance.Arrays.Professions = {
	["75"]  = "Apprentice",
	["150"] = "Journeyman",
	["225"] = "Expert",
	["300"] = "Artisan",
	["375"] = "Master",
	["450"] = "Grand Master",
	["525"] = "Illustrious",
	["535"] = "Illustrious",
	["540"] = "Illustrious",
}

---------------------------
-- arrays: durability items
---------------------------
Glance.Arrays.slotItems = {
	"HEADSLOT",
	"SHOULDERSLOT",
	"CHESTSLOT",
	"WRISTSLOT",
	"HANDSSLOT",
	"WAISTSLOT",
	"LEGSSLOT",
	"FEETSLOT",
	"MAINHANDSLOT",
	"SECONDARYHANDSLOT",
	"RANGEDSLOT"
}

---------------------------
-- arrays: flightmounts
---------------------------
Glance.Arrays.flightMounts = {
	"hippogryph",
	"gryphon",
	"wind",
	"ashes",
	"dragonhawk",
	"nether",
	"wyrm",
	"drake",
	"mimiron",
	"frostbrood",
	"phoenix",
	"spectral steed",
	"flying",
	"vial of the sands",
	"winged",
	"celestial",
	"headless",
}

---------------------------
-- arrays: specialmounts
---------------------------
Glance.Arrays.specialMounts = {
	"celestial",
	"headless",
	"location",
	"extremely",
	"carpet",
	"machine",
	"rocket",
}

---------------------------
-- arrays: fastmounts
---------------------------
Glance.Arrays.fastMounts = {
	"very",
	"skill",
	"ebon blade",
}

---------------------------
-- arrays: watermounts
---------------------------
Glance.Arrays.waterMounts = {
	"seahorse",
	"turtle",
}

---------------------------
-- arrays: scroll backDrop
---------------------------
Glance.Arrays.backDrop = {
	edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border",
	bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",
	tile = true,
	tileSize = 32,
	edgeSize = 8,
	insets = {
		left = 1,
		right = 1,
		top = 1,
		bottom = 1
	}
}